Bug 13874 - rotating collections and calendar are circ tools
Summary: rotating collections and calendar are circ tools
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-19 14:14 UTC by Nicole C. Engard
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13452: 'Rotating collections' are a circulation tool (1.78 KB, patch)
2015-06-08 03:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13874: 'Rotating collections' are a circulation tool (1.86 KB, patch)
2015-06-14 02:23 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13874: 'Rotating collections' are a circulation tool (1.92 KB, patch)
2015-06-16 09:12 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-03-19 14:14:23 UTC
I think that rotating and collections and calendar belong under Patrons & Circulation on the Tools page: /cgi-bin/koha/tools/tools-home.pl

This is trivial, just something that I usually say in training that I'll jump in to this other column to show you another circulation related tool.  Anyone have any preference/feedback?
Comment 1 Katrin Fischer 2015-06-08 03:30:51 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-06-08 03:32:07 UTC
I am not sure about the calendar and the rotating collection could probably be both. 

Proposing a patch for discussion that moves rotating collections to the first column.
Comment 3 Nick Clemens 2015-06-10 19:28:23 UTC
I'd agree with Nicole on Calendar, feels like a Circulation tool. (In fact, I always look for it under "Administration->Patron and circulation" but that would be a big move)

Rotating collections seems more circ related too, at least I would likely foist it on another staff as not being part of my cataloging duties.
Comment 4 M. Tompsett 2015-06-14 02:23:45 UTC Comment hidden (obsolete)
Comment 5 M. Tompsett 2015-06-14 02:27:20 UTC
I think the Calendar is more about the library than it is the patrons. Sure if the library is closed it affects circulation, but that is a side effect, not the purpose of the Calendar. If the purpose of the calendar was to affect circulation, could not the library be open but not circulating that day? I see no reason to move Calendar.
Comment 6 Nick Clemens 2015-06-14 11:55:34 UTC
(In reply to M. Tompsett from comment #5)
> it affects circulation, but that is a side effect,
> not the purpose of the Calendar

I did think that was the purpose of the calendar, what affect does it have other than affecting circ rules?
Comment 7 Katrin Fischer 2015-06-14 12:04:05 UTC
I'd agree with Nick. You can still check out when you have closed, but
it can affect
- calculation of the due date
- calculation of fines
- calculation for renewals
- calculation of pick-up dates

I think I didn't want to move it, because it has been in that corner forever, and the third column is quite short anyway. I thought it would cause more irritation to move it than to leave it where it is.
Comment 8 M. Tompsett 2015-06-14 14:04:12 UTC
(In reply to Katrin Fischer from comment #7)
> I think I didn't want to move it, because it has been in that corner
> forever, and the third column is quite short anyway. I thought it would
> cause more irritation to move it than to leave it where it is.

Well, I was pondering the "Patron and Circulation column". Have you noticed that there are probably only 3 things which are Patron? If we are worried about shortness of the third column, there is potential to move those items into a new 1st section in the 3rd column, and Other moved into a 2nd section in the 3rd column.
Comment 9 Jonathan Druart 2015-06-16 09:12:50 UTC
Created attachment 40166 [details] [review]
Bug 13874: 'Rotating collections' are a circulation tool

Moves the entry for 'Rotating collections' from the Catalog
column to the 'Patrons and circulation' column.

To test:
- Verify the entry has been moved on the tools home page

NOTE: I agree that collections makes more sense under the new
      column.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 10 Tomás Cohen Arazi 2015-06-22 14:54:57 UTC
Patch pushed to master.

Thanks Katrina!
Comment 11 Chris Cormack 2015-07-08 21:12:59 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 12 Liz Rea 2015-07-20 22:11:32 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 13 Mason James 2015-07-25 12:58:36 UTC
Pushed to 3.16.x, will be in 3.16.13